package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.*;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 销售出库报表 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-08-05
 */
public interface ISalesDeliveryReportService extends IService<SalesDeliveryReport> {
    /**
     * 销售出库统计列表
     * @param salesDeliveryReport
     */
    Page<SalesDeliveryReport> selectSalesDeliveryReport(SalesDeliveryReport salesDeliveryReport);
    /**
     * 出纳收款
     * @param salesDeliveryReport
     */
    String collectMoney(SalesDeliveryReport salesDeliveryReport);
    /**
     * 开发票
     * @param salesDeliveryReport
     * @return
     */
    String openInvoice(SalesDeliveryReport salesDeliveryReport);
    /**
     * 批量开发票
     * @param salesDeliveryReport
     */
    String openInvoiceList(SalesDeliveryReport salesDeliveryReport);
    /**
     * 最终结算价
     * @param salesDeliveryReport
     */
    String editSalesDeliveryReport(SalesDeliveryReport salesDeliveryReport);

    /**
     * 审核销售出库报表
     * @param salesDeliveryReport
     * @return
     */
    String examineSalesDeliveryReport(SalesDeliveryReport salesDeliveryReport);
    /**
     * 合同编号下拉列表
     *
     * @param compId
     */
    List<ContractManagementInfo> selectContractNoList(String compId);
    /**
     * 查销售订单表
     * @param salesDeliveryReport
     */
    SaleOrder selectOrder(SalesDeliveryReport salesDeliveryReport);
    /**
     * 查看
     * @param
     */
    SalesDeliveryReport getInfo(String id);

}
